{ io.c }
function rb_io_write(io, str: Tvalue): Tvalue;
function rb_io_gets(io: Tvalue): Tvalue;
function rb_io_getc(io: Tvalue): Tvalue;
function rb_io_ungetc(io, c: Tvalue): Tvalue;
function rb_io_close(io: Tvalue): Tvalue;
function rb_io_eof(io: Tvalue): Tvalue;
function rb_io_binmode(io: Tvalue): Tvalue;
function rb_file_open(const fname, mode: Tvalue): Tvalue;
function rb_gets: Tvalue;
procedure rb_str_setter(val: Tvalue; id: Tid; ptr: Pvalue);
function rb_io_mode_flags(mode: PChar): Integer;

